Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Different save file versions #4603

Open
sambhavsaggi opened this issue May 29, 2019 · 2 comments

Comments

Projects
None yet
3 participants
@sambhavsaggi
Copy link

commented May 29, 2019

Observed behaviour

When trying to open a save file from a different version, the game crashes

Expected behaviour

Convert save file versions, or show a dialog about incompatibility

Steps to reproduce

Use an old save file to load from.

pioneer 20190528 (4c51f4eff)

Linux arch 5.1.5-arch1-2-ARCH #1 SMP PREEMPT Mon May 27 03:37:39 UTC 2019 x86_64 GNU/Linux
@impaktor

This comment has been minimized.

Copy link
Member

commented May 30, 2019

The whole point of having different save file versions is to show that they are incompatible.

Making them compatible, usually involves a lot of tedious temporary ugly code, which would stall the progress of the changes we deem needed, that made the old saves incompatible.

@Web-eWorks

This comment has been minimized.

Copy link
Member

commented May 30, 2019

@impaktor this is more of a UI thing - right now when loading an incompatible game the Lua context just throws an unrecoverable error; there's no error checking or disabling the ability to load an incompatible save. I've got it on my backlog and should be able to get to it soonish.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.